add arrow-down arrow-left arrow-right arrow-up authorcheckmark clipboard combo comment delete discord dots drag-handle dropdown-arrow errorfacebook history inbox instagram issuelink lock markup-bbcode markup-html markup-pcpp markup-cyclingbuilder markup-plain-text markup-reddit menu pin radio-button save search settings share star-empty star-full star-half switch successtag twitch twitter user warningwattage weight youtube

AMD Catalyst Beta 15.5 or 15.4. Which should I use?

punkparts

56 months ago

So when grand theft auto 5 launched on pc AMD released their 15.4 beta driver with optimizations for gta 5. Hasn't felt like the most stable driver in other aspects, but gta 5 is running nicely for me at least. Now the witcher 3 is out and they've released yet another beta driver, this time for witcher.

My question is which driver should I use? The last official completed driver was on december 9th, the omega driver. Should I upgrade to the witcher's beta driver or what?

Comments

  • 56 months ago
  • 1 point

15.5 just make sure to use DDU to remove your old drivers. im using 15.5 on both my pcs and 100% stable

Sort

add arrow-down arrow-left arrow-right arrow-up authorcheckmark clipboard combo comment delete discord dots drag-handle dropdown-arrow errorfacebook history inbox instagram issuelink lock markup-bbcode markup-html markup-pcpp markup-cyclingbuilder markup-plain-text markup-reddit menu pin radio-button save search settings share star-empty star-full star-half switch successtag twitch twitter user warningwattage weight youtube